# MoodleNet: Connecting and empowering educators worldwide
# Copyright © 2018-2019 Moodle Pty Ltd <https://moodle.com/moodlenet/>
# Contains code from Pleroma <https://pleroma.social/> and CommonsPub <https://commonspub.org/>
# SPDX-License-Identifier: AGPL-3.0-only

defmodule ActivityPub.Association do
  @enforce_keys [:aspect, :name]
  defstruct aspect: nil,
            name: nil,
            functional: false,
            type: :any,
            autogenerated: false,
            repeated: false,
            inv: false
end
